=== debian/changelog ===
libsfml (2.1+dfsg-4ubuntu2) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:22:12 +0000

libsfml (2.1+dfsg-4ubuntu1) trusty; urgency=low

  * Adjust symbols files for powerpc on Ubuntu using gcc-4.8, not 4.7

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Nov 2013 12:40:03 -0700

libsfml (2.1+dfsg-4) unstable; urgency=low

  * Update the symbol files (yet again) to fix a lintian error on some arches
  * Added lintian override for hardening libsfml-graphics2

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 31 Oct 2013 19:38:25 +0000

libsfml (2.1+dfsg-3) unstable; urgency=low

  * Release to unstable
  * Updated the symbol files
  * Bump standards version to 3.9.5 - no changes

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 30 Oct 2013 22:00:08 +0000

libsfml (2.1+dfsg-2) experimental; urgency=low

  * Added --as-needed linker option to only build against needed libraries
  * Remove duplicate section fields in the control file
  * Remove conflicts and replaces lines for very old libsfml packages
  * Updated GNU/Hurd patch so it works correctly with CMake
  * Added patch so that the joystick code is only compiled in on linux
  * Added initial symbols files created with pkgkde_symbolshelper

 -- James Cowgill <james410@cowgill.org.uk>  Sun, 06 Oct 2013 18:24:46 +0100

libsfml (2.1+dfsg-1) experimental; urgency=low

  * New upstream version 2.1 (Closes: #706001)
  * Add myself to the list of uploaders in debian/control
  * Add dependency to libgl-dev and libglu-dev to libsfml-dev (Closes: #706239)
  * Modify debian/copyright to use the machine-readable format
    (http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/)
  * Added doc-base file for API documentation
  * Moved debian/watch source to the SFML github repository
  * Upgrade source format to 3.0 and debhelper 9 using dh
  * Upgrade to standards version 3.9.4
  * Moved source package to libs section
  * Fixed typos in package description
  * Added multiarch support

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 02 Sep 2013 15:44:26 +0100

libsfml (1.6+dfsg2-2) unstable; urgency=low

  * Add the now needed build-dependency

 -- Christoph Egger <christoph@debian.org>  Sun, 08 Jul 2012 22:20:18 +0200

libsfml (1.6+dfsg2-1) unstable; urgency=low

  * Remove nonfree Arial.hpp (Closes: #647497)

 -- Christoph Egger <christoph@debian.org>  Sun, 08 Jul 2012 20:57:06 +0200

libsfml (1.6+dfsg1-3) unstable; urgency=low

  * Team upload.
  * Thanks to Konstantinos Margaritis for the NMU.
  * Fix FTBFS with gcc-4.7, thanks to Matthias Klose. (Closes: #672086)
  * Fix FTGFS with libpng-1.5, thanks to Nobuhiro Iwamatsu. (Closes: #650564)
  * Bump standards version to 3.9.3

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 27 May 2012 17:46:23 +0100

libsfml (1.6+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Patch from Ubuntu by Matthias Klose fix FTBFS. (Closes: #628253)
    - Don't include system headers in the sf namespace.

 -- Konstantinos Margaritis <markos@debian.org>  Fri, 03 Feb 2012 15:31:30 +0200

libsfml (1.6+dfsg1-2) unstable; urgency=low

  * Add patch by Evgeni to build against gcc-4.6 (Closes: #625031)
  * Upgrade standards version from 3.8.4 to 3.9.2 (no changes)

 -- Christoph Egger <christoph@debian.org>  Tue, 17 May 2011 00:39:32 +0200

libsfml (1.6+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Rename library packages due to soname change
  * Upgrade policy version (no changes)

 -- Christoph Egger <christoph@debian.org>  Sun, 09 May 2010 11:38:53 +0200

libsfml (1.5+repack1-3) unstable; urgency=low

  * Make -dev package only suggest -doc instead of recommend
  * Update my email address
  * Reformat debian/control slightly
  * Make -dbg installable with only some SFML libs available
  * Try building on Hurd the way it works on kFreeBSD

 -- Christoph Egger <christoph@debian.org>  Fri, 18 Dec 2009 13:39:19 +0100

libsfml (1.5+repack1-2) unstable; urgency=low

  * Patch include/SFML/Config.hpp to correctly detect kFreeBSD kernels
    enables the build on these ports
  * Bump standards version from 3.8.2 to .3 (no changes)
  * Bump compat to 7, use debian/clean file
  * Clean up watch file
  * Clean up rules as per NM-review
  * Depend on unversioned lib{jpeg,png}-dev packages, no special needs
    here
  * Remove debian/*dirs files, they're unneeded

 -- Christoph Egger <debian@christoph-egger.org>  Mon, 24 Aug 2009 15:20:58 +0200

libsfml (1.5+repack1-1) unstable; urgency=low

  * [af202195] Imported Upstream version 1.5+repack1
  * [118764a1] Add lintian override, -dbg is explicitly set to
               Priority:extra on purpose
  * [43beb98d] improve long descriptions
  * [b25d0c2c] lib/ is missing from time to time, just create it if
               needed
  * [eef4cb02] Update standards-Version to 3.8.2 (no changes needed)
  * [08ae7680] rename doc package to drop the soname part

 -- Christoph Egger <debian@christoph-egger.org>  Sat, 25 Jul 2009 14:07:05 +0200

libsfml (1.4+repack1-1) unstable; urgency=low

  [ Christoph Egger ]
  * New upstream release.
  * Drop patches implemented upstream
    - RM: add_destdir_to_makefile.patch
    - RM: building_on_all_arches.patch
    - RM: bump_soname.patch
    - RM: cstring_ftbfs.patch
    - RM: modify_toplevel_makefile
  * Reorganize remaining patches using topgit
  * Using external libSOIL
    - add SOIL to repacking list
  * Build debug package
  * Build documentation package
    - separate docs and examples from -dev package
  * Change my email address

  [ Gonéri Le Bouder ]
  * libsfml-dev conflicts/replaces libsfml1.deb3-dev

 -- Christoph Egger <debian@christoph-egger.org>  Sun, 25 Jan 2009 16:51:47 +0100

libsfml (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Egger <Christoph.Egger@gmx.de>  Sun, 22 Jun 2008 13:33:03 +0200

libsfml (1.2-3) unstable; urgency=low

  * Clean rules improvement (thanks to gnoéri)

