## libsfml 2.1+dfsg2

=== debian/changelog ===
libsfml (2.1+dfsg2-1) unstable; urgency=medium

  * Update symbols for GCC 4.9 (Closes: 746877)
  * Add example resources I can verify are free (Closes: 647698)
  * Install FindSFML.cmake in libsfml-dev (Closes: 747186)
  * Fix debian/watch file
  * Repack original source using uscan
  * Enable parallel builds and hardening flags
  * Add patch to remove googleapi css in doc/header.htm
  * Add numeric prefixes to all patches

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 17 May 2014 13:37:17 +0100

libsfml (2.1+dfsg-5) unstable; urgency=low

  * Change package priority to optional (Closes: 728886)
  * Fixed VCS-Browser field (Closes: 728887)

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 06 Nov 2013 15:38:55 +0000
