=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libsfml
 Section: libs
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Christoph Egger <christoph@debian.org>,
  James Cowgill <james410@cowgill.org.uk>
 Vcs-Git: git://anonscm.debian.org/pkg-games/libsfml.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-games/libsfml.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/libsfml.git
 Build-Depends: debhelper (>= 9),
  cmake (>= 2.8.9),
  doxygen,
@@ -113,6 +112,7 @@
 
 Package: libsfml2-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
