=== debian/watch ===
# See uscan(1) for format
version=3

# From GitHub
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/SFML-$1\.tar\.gz/,dversionmangle=s/\+dfsg\d?$// \
  https://github.com/LaurentGomila/SFML/tags .*/v?(\d\S*)\.tar\.gz
