=== debian/control ===
--- 
+++ 
@@ -5,20 +5,26 @@
 Uploaders: Christoph Egger <christoph@debian.org>,
  James Cowgill <james410@cowgill.org.uk>
 Vcs-Git: git://anonscm.debian.org/pkg-games/libsfml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/libsfml.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/libsfml.git
 Build-Depends: debhelper (>= 9),
  cmake (>= 2.8.9),
  doxygen,
- pkg-kde-tools (>= 0.6),
+ g++ (>= 4:5.2),
+ libflac-dev,
  libfreetype6-dev,
  libgl1-mesa-dev,
- libglew-dev,
  libjpeg-dev,
  libopenal-dev,
- libsndfile1-dev,
+ libudev-dev [linux-any],
+ libusbhid-dev [kfreebsd-any],
+ libvorbis-dev,
  libx11-dev,
- libxrandr-dev
-Standards-Version: 3.9.5
+ libx11-xcb-dev,
+ libxcb1-dev,
+ libxcb-image0-dev,
+ libxcb-randr0-dev,
+ pkg-kde-tools,
+Standards-Version: 3.9.6
 Homepage: http://www.sfml-dev.org/
 
 Package: libsfml-dev
@@ -27,13 +33,12 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  libgl1-mesa-dev | libgl-dev,
- libglu1-mesa-dev | libglu-dev,
- libsfml-audio2 (= ${binary:Version}),
- libsfml-graphics2 (= ${binary:Version}),
- libsfml-network2 (= ${binary:Version}),
- libsfml-system2 (= ${binary:Version}),
- libsfml-window2 (= ${binary:Version})
-Suggests: libsfml2-dbg, libsfml-doc
+ libsfml-audio2.3v5 (= ${binary:Version}),
+ libsfml-graphics2.3v5 (= ${binary:Version}),
+ libsfml-network2.3v5 (= ${binary:Version}),
+ libsfml-system2.3v5 (= ${binary:Version}),
+ libsfml-window2.3v5 (= ${binary:Version})
+Suggests: libsfml2.3-dbg, libsfml-doc
 Description: Simple and Fast Multimedia Library - Development Files
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -42,11 +47,13 @@
  .
  This package includes header files for all SFML libraries.
 
-Package: libsfml-audio2
+Package: libsfml-audio2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-audio2.3
+Replaces: libsfml-audio2.3
 Description: Simple and Fast Multimedia Library - Audio part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -56,11 +63,13 @@
  The Audio library is used to play sound and music in games. It is able to
  load OGG/Vorbis files.
 
-Package: libsfml-graphics2
+Package: libsfml-graphics2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-graphics2.3
+Replaces: libsfml-graphics2.3
 Description: Simple and Fast Multimedia Library - Graphics part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -70,11 +79,13 @@
  The Graphics library contains all the OpenGL and drawing code. It needs the
  Window library for Window creation.
 
-Package: libsfml-network2
+Package: libsfml-network2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-network2.3
+Replaces: libsfml-network2.3
 Description: Simple and Fast Multimedia Library - Network part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -83,11 +94,13 @@
  .
  The Network Library brings basic networking support as needed by games.
 
-Package: libsfml-system2
+Package: libsfml-system2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-system2.3
+Replaces: libsfml-system2.3
 Description: Simple and Fast Multimedia Library - System part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -97,11 +110,13 @@
  The system library brings useful system utilities like multithreading and
  UNICODE handling.
 
-Package: libsfml-window2
+Package: libsfml-window2.3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libsfml-window2.3
+Replaces: libsfml-window2.3
 Description: Simple and Fast Multimedia Library - Window part
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -110,17 +125,17 @@
  .
  The Window library provides basic utilities for creating and managing Windows.
 
-Package: libsfml2-dbg
+Package: libsfml2.3-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libsfml-audio2 (= ${binary:Version}) |
- libsfml-graphics2 (= ${binary:Version}) |
- libsfml-network2 (= ${binary:Version}) |
- libsfml-system2 (= ${binary:Version}) |
- libsfml-window2 (= ${binary:Version})
+ libsfml-audio2.3v5 (= ${binary:Version}) |
+ libsfml-graphics2.3v5 (= ${binary:Version}) |
+ libsfml-network2.3v5 (= ${binary:Version}) |
+ libsfml-system2.3v5 (= ${binary:Version}) |
+ libsfml-window2.3v5 (= ${binary:Version})
 Description: Simple and Fast Multimedia Library - Debug Symbols
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
@@ -132,7 +147,7 @@
 Package: libsfml-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
 Description: Simple and Fast Multimedia Library - Documentation
  SFML is a modern multimedia library offering a wide range of subsystems
  useful to produce a multimedia app. It offers OpenGL integration for
